Codec.Compression.Zlib.Internal

# Compression

compress

data CompressParams

defaultCompressParams

# Decompression

decompress

data DecompressParams

defaultDecompressParams

# The compression parameter types

data Format

gzipFormat

zlibFormat

rawFormat

gzipOrZlibFormat

data CompressionLevel

defaultCompression

noCompression

bestSpeed

bestCompression

compressionLevel

data Method

deflateMethod

data WindowBits

defaultWindowBits

windowBits

data MemoryLevel

defaultMemoryLevel

minMemoryLevel

maxMemoryLevel

memoryLevel

data CompressionStrategy

defaultStrategy

filteredStrategy

huffmanOnlyStrategy

# Low-level API to get explicit error reports

decompressWithErrors

data DecompressStream

data DecompressError

foldDecompressStream

fromDecompressStream